_HC595_reset:
;7_Seg.c,48 :: 		void HC595_reset()
;7_Seg.c,50 :: 		HC595_RES = 0;
_LX	
INS	R2, R0, BitPos(HC595_RES+0), 1
_SX	
;7_Seg.c,51 :: 		Delay_ms(1);
LUI	R24, 0
ORI	R24, R24, 23999
L_HC595_reset0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_HC595_reset0
NOP	
NOP	
;7_Seg.c,52 :: 		HC595_RES = 1;
_LX	
ORI	R2, R2, BitMask(HC595_RES+0)
_SX	
;7_Seg.c,53 :: 		}
L_end_HC595_reset:
JR	RA
NOP	
; end of _HC595_reset
_HC595_load:
;7_Seg.c,55 :: 		void HC595_load()
;7_Seg.c,57 :: 		HC595_LAT = 0;
_LX	
INS	R2, R0, BitPos(HC595_LAT+0), 1
_SX	
;7_Seg.c,58 :: 		Delay_ms(1);
LUI	R24, 0
ORI	R24, R24, 23999
L_HC595_load2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_HC595_load2
NOP	
NOP	
;7_Seg.c,59 :: 		HC595_LAT = 1;
_LX	
ORI	R2, R2, BitMask(HC595_LAT+0)
_SX	
;7_Seg.c,60 :: 		}
L_end_HC595_load:
JR	RA
NOP	
; end of _HC595_load
_seg_7_display:
;7_Seg.c,75 :: 		int8_t seg_7_display(char c)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;7_Seg.c,81 :: 		if (c < MIN_ASCII_DEC || c > MAX_ASCII_DEC)
SW	R25, 4(SP)
ANDI	R2, R25, 255
SLTIU	R2, R2, 48
BEQ	R2, R0, L__seg_7_display15
NOP	
J	L__seg_7_display11
NOP	
L__seg_7_display15:
ANDI	R2, R25, 255
SLTIU	R2, R2, 123
BNE	R2, R0, L__seg_7_display16
NOP	
J	L__seg_7_display10
NOP	
L__seg_7_display16:
J	L_seg_7_display6
NOP	
L__seg_7_display11:
L__seg_7_display10:
;7_Seg.c,82 :: 		return -1;
ORI	R2, R0, 255
J	L_end_seg_7_display
NOP	
L_seg_7_display6:
;7_Seg.c,84 :: 		index = c - ASCII_OFFSET;
ADDIU	R2, R25, -48
;7_Seg.c,85 :: 		seg = dig_array[index];
ANDI	R3, R2, 255
LUI	R2, hi_addr(_dig_array+0)
ORI	R2, R2, lo_addr(_dig_array+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
; seg start address is: 12 (R3)
ANDI	R3, R2, 255
;7_Seg.c,87 :: 		if (seg == 0)
ANDI	R2, R2, 255
BEQ	R2, R0, L__seg_7_display17
NOP	
J	L_seg_7_display7
NOP	
L__seg_7_display17:
; seg end address is: 12 (R3)
;7_Seg.c,88 :: 		return -1;
ORI	R2, R0, 255
J	L_end_seg_7_display
NOP	
L_seg_7_display7:
;7_Seg.c,90 :: 		else seg7_send_byte(seg);
; seg start address is: 12 (R3)
ANDI	R25, R3, 255
; seg end address is: 12 (R3)
JAL	_seg7_send_byte+0
NOP	
;7_Seg.c,92 :: 		return 0;
MOVZ	R2, R0, R0
;7_Seg.c,93 :: 		}
;7_Seg.c,92 :: 		return 0;
;7_Seg.c,93 :: 		}
L_end_seg_7_display:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _seg_7_display
_seg7_send_byte:
;7_Seg.c,95 :: 		void seg7_send_byte (uint8_t sendbyte)
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;7_Seg.c,97 :: 		SPI_Write(sendbyte);
ANDI	R25, R25, 255
JAL	_SPI_Write+0
NOP	
;7_Seg.c,98 :: 		HC595_load();
JAL	_HC595_load+0
NOP	
;7_Seg.c,99 :: 		}
L_end_seg7_send_byte:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _seg7_send_byte
