#line 1 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/PIC32/Big7SEGPIC32.c"
#line 1 "d:/stefan popovic/projekti/click_big_7_seg_r_74hc595/example/pic32/7_seg.h"
#line 1 "c:/users/stefan.popovic/documents/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 51 "d:/stefan popovic/projekti/click_big_7_seg_r_74hc595/example/pic32/7_seg.h"
 void HC595_reset( void );
 void HC595_load( void );


 int8_t seg_7_display( char c );


 void seg7_send_byte ( uint8_t byte );
#line 42 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/PIC32/Big7SEGPIC32.c"
 sbit HC595_RES at RC1_bit;
 sbit HC595_LAT at RC2_bit;
 sbit HC595_PWM at RD0_bit;
#line 50 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/PIC32/Big7SEGPIC32.c"
 extern char dig_array[ 75 ];


 unsigned short counter;
 unsigned int luminosity;
 unsigned int pwm_period;
 int8_t valid;

 char demo_array[20] =
 { 'M', 'I', 'K', 'R', 'O',
 'E', 'L', 'E', 'K', 'T', 'R', 'O', 'N', 'I', 'K', 'A',
 '2', '0', '1', '6'
 };

 void main()
 {

 JTAGEN_bit = 0;
 AD1PCFG = 0xFFFF;
 TRISC1_bit = 0;
 TRISC2_bit = 0;
 TRISD0_bit = 0;


 SPI3_Init_Advanced(_SPI_MASTER,
 _SPI_16_BIT,
 1,
 _SPI_SS_DISABLE,
 _SPI_DATA_SAMPLE_MIDDLE,
 _SPI_CLK_IDLE_HIGH,
 _SPI_ACTIVE_2_IDLE);

 SPI_Set_Active(SPI3_Read, SPI3_Write);

 Delay_ms(100);
 pwm_period = PWM_Init(5000 , 1, 1, 2);
 PWM_Start(1);
 PWM_Set_Duty(4000, 1);


 HC595_LAT = 0;
 HC595_RES = 0;
 HC595_reset();


 counter = 0;
 luminosity = 0;


 while ( 1 )
 {
 valid = seg_7_display(demo_array[counter]);
 PWM_Set_Duty(4000 - luminosity, 1);
 delay_ms(750);
 luminosity += 100;
 counter++;

 if (counter == 20)
 counter = 0;
 if (luminosity == 3000)
 luminosity = 0;
 }
 }
